Contract Upload Api
curl --request POST \
--url https://api.justpaid.io/api/v1/contract/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form customer_uuid=3c90c3cc-0d44-4b50-8888-8dd25736052aimport requests
url = "https://api.justpaid.io/api/v1/contract/upload"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "customer_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('customer_uuid', '3c90c3cc-0d44-4b50-8888-8dd25736052a');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.justpaid.io/api/v1/contract/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"process_status_uuid": "123e4567-e89b-12d3-a456-426614174000",
"message": "Contract uploaded successfully and is being processed"
}{
"detail": "Unable to upload file"
}Contract
Contract Upload Api
Upload a contract PDF file for processing.
POST
/
api
/
v1
/
contract
/
upload
Contract Upload Api
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-data
Response
Contract uploaded successfully
Response schema for contract upload.
Attributes: process_status_uuid (UUID): The UUID of the contract processing status. message (str): A message indicating the status of the upload.
The UUID of the contract processing status. Use this to track the contract parsing progress.
Example:
"123e4567-e89b-12d3-a456-426614174000"
A message indicating the status of the upload.
Example:
"Contract uploaded successfully and is being processed"
Was this page helpful?
⌘I
